﻿/*************/
/* Table CSS */
/*************/
div.dt-container {
    width: 100%;
}

table {
    background-color: #fff;
    border: solid 1px #525252;
    border-collapse: collapse;
}

    /* Caption/Title Styling */
    table caption {
        color: inherit;
        font-weight: bold;
        font-size: 1rem;
        text-align: center;
        caption-side: top;
        padding-top: 0;
        padding-bottom: .10rem;
    }

    /* Header & Item Styling */
    table .tableHeader, table .tableHeader th a {
        color: white;
    }

        table .tableHeader th,
        table .tableHeader td {
            position: relative;
            text-align: center;
        }

            table .tableHeader th.text-left {
                text-align: left;
                padding-left: 10px;
            }

            table .tableHeader th.text-right {
                text-align: right;
                padding-right: 10px;
            }

        table .tableHeader a img {
            max-height: 15px;
        }

        table .tableHeader .dropdown-toggle {
            float: none;
        }

            table .tableHeader .dropdown-toggle.sortdesc::after {
                -webkit-transform: rotate(180deg);
                -moz-transform: rotate(180deg);
                -ms-transform: rotate(180deg);
                -o-transform: rotate(180deg);
                transform: rotate(180deg);
            }

    table td input {
        text-align: right;
    }

    table td ul {
        list-style-type: none;
        padding: 0;
        margin-bottom: 0;
    }

    table td a {
        color: blue;
    }

    table th, table td {
        vertical-align: middle !important;
    }

    table .cmdButtons {
        width: 6%;
    }

    table .td-large {
        max-width: 20rem;
    }

    /* Pager & Footer Styling */
    table .tableFooter {
        background: #424242 repeat-x top !important;
        text-align: right;
        color: white;
    }

        table .tableFooter .page-link {
            position: relative;
            display: block;
            padding: .5rem .75rem;
            margin-left: -1px;
            line-height: 1.25;
            color: #f8f9fa;
            background-color: transparent;
            border: 1px solid #f8f9fa;
        }

            table .tableFooter .page-link:hover {
                z-index: 2;
                color: #212529;
                text-decoration: none;
                background-color: #e9ecef;
                border-color: #f8f9fa;
            }

        table .tableFooter .page-item.active .page-link {
            z-index: 1;
            color: #212529;
            background-color: #e9ecef;
            border-color: #f8f9fa;
        }

        table .tableFooter .page-item.disabled .page-link {
            pointer-events: none;
            cursor: auto;
            color: #f8f9fa;
            background-color: transparent;
        }

    table .noRows, table .noRows td:hover {
        font-style: italic;
        color: red;
    }
